Subject: Re: [RFC PATCH 3/4] .clang-format: do not enforce a ColumnLimit

From: Junio C Hamano <[email-masked]>
Date: Mon, 11 Jul 2022 15:46:36 -0700

"brian m. carlson" <[email-masked]> writes:

> Now, we could well pick one that's longer than 80 characters.  132 is a
> common terminal size and it would avoid needing to rewrap all of those
> lines.  But sticking with 80 columns is also fine, and we'll just need
> to send some patches accordingly.

As long as people do not start sending an overly wide code that
consistently are 130 columns wide, I am fine.

Let's not encourage people to use automation as excuses for sending
unreadable mess and (worse yet) push back reviewer comments when
such issues that cannot be corrected with automation are pointed
out.

Thanks.